# 官方文档
# https://hub.docker.com/r/superng6/aria2
# https://github.com/SuperNG6/docker-ariang
# https://sleele.com/2019/09/27/docker-aria2的最佳实践

# 默认关闭SSL，如需要请手动开启
# 之所以默认关闭SSL(建议开启)，是因为如果开启，又没有配置证书，会导致aria2启动失败，所以如果需要开启请手动编辑aria2.conf 证书请放在/config/ssl目录下 删掉24,26,28行的#号 

---
version: "3"
# 最后编辑时间：2024-04-28
# 更新日志：修改镜像tag
services:
  aria2:
    image: superng6/aria2:latest
    # 镜像地址
    container_name: aria2
    # 容器名字
    hostname: aria2
    # 主机名
    volumes:
      - /volume1/docker/aria2/config:/config
      # 配置文件目录
      # - /volume1/docker/aria2/www:/www
      # WebUI页面，不推荐使用
      # 如果webui显示异常，要先把这个路径注释掉，在portainer内找到容器内部路径，将内部路径的东西提取到你要映射出来的路径内，再删掉#注释，重新部署一次
      - /volume1/downloads:/downloads
      # 下载目录
    environment:
      - WEBUI_PORT=5321
      # WebUI 端口
      - BTPORT=32516
      # DHT和BT监听端口
      - PORT=6800
      # 设置RPC通讯端口（与宿主主机的端口映射一致）
      - SECRET=password
      # 设置RPC密钥，用于AriaNg与Aria2的通讯验证使用，预设为password，记得修改
      - CACHE=1024M
      # Aria2磁盘缓存配置
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      - TZ=Asia/Shanghai
      # 时区
      - UT=true
      # 启动容器时更新trackers
      - CUT=true
      # 启动容器时更新自定义trackes地址
      - RUT=true
      # 每天凌晨3点更新trackers
      - SMD=true
      # 保存磁力链接为种子文件
    # network_mode: bridge
    network_mode: host
    # host模式需要容器内的端口不被占用，不需要端口映射，后续端口映射全都开头加#注释掉，否则注释掉这条
    # ports:
      # - 5321:5321/tcp
      # WebUI 端口
      # - 6800:6800/tcp
      # RPC 通讯端口映射
      # - 32516:32516/tcp
      # - 32516:32516/udp
      # 下载传输端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3